import dataclasses
import datetime
from collections.abc import Sequence

HIDDEN_LABEL_PREFIX = '__'
HIDDEN_LABEL_TOTAL = HIDDEN_LABEL_PREFIX + 'TOTAL'


@dataclasses.dataclass(frozen=True, order=True)
class WorkSample:
    labels: Sequence[str]
    start_at: datetime.datetime | None
    end_at: datetime.datetime | None


@dataclasses.dataclass(frozen=True, order=True)
class RealizedWorkSample(WorkSample):
    start_at: datetime.datetime
    end_at: datetime.datetime
